//+------------------------------------------------------------------+
//|                                                    FLI_Swing.mq4 |
//|                   Copyright  2009, Francesco Marasco aka flinux |
//|                                       E-Mail: fmarasco@gmail.com |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators.                                         |
//|                                                                  |
//|   PayPal - fmarasco@gmail.com                                    |  
//+------------------------------------------------------------------+

#property copyright "Francesco Marasco"
#property link      "http://mt4forex.blogspot.com"

#property indicator_chart_window
#property indicator_buffers 2

double BufL[];
double BufH[];

int init()
{
   IndicatorBuffers(2); 
   SetIndexStyle(0,DRAW_ARROW,0,4,DeepPink); 
   SetIndexArrow(0, 242); 
   SetIndexBuffer(0,BufH); 
   SetIndexStyle(1,DRAW_ARROW,0,4,DeepSkyBlue); 
   SetIndexBuffer(1,BufL); 
   SetIndexArrow(1, 241); 
   return(0);
}

int deinit()
{
}

int start()
{
   int counted_bars=IndicatorCounted();
   int i, limit;
   
   limit = Bars - counted_bars;
   
   double h0,h1,h2,h3,hm1,hm2,hm3;
   double l0,l1,l2,l3,lm1,lm2,lm3;
   
   for (i = 3; i < limit-3; i++)
   {
      hm3 = iHigh(NULL, 0, i-3);
      hm2 = iHigh(NULL, 0, i-2);
      hm1 = iHigh(NULL, 0, i-1);
      h0 = iHigh(NULL, 0, i);
      h1 = iHigh(NULL, 0, i+1);
      h2 = iHigh(NULL, 0, i+2);
      h3 = iHigh(NULL, 0, i+3);

      lm3 = iLow(NULL, 0, i-3);
      lm2 = iLow(NULL, 0, i-2);
      lm1 = iLow(NULL, 0, i-1);
      l0 = iLow(NULL, 0, i);
      l1 = iLow(NULL, 0, i+1);
      l2 = iLow(NULL, 0, i+2);
      l3 = iLow(NULL, 0, i+3);

      if (h0>hm3&&h0>hm2&&h0>hm1&&h0>h1&&h0>h2&&h0>h3)
         BufH[i] = h0;
      else
         BufH[i] = EMPTY_VALUE;

      if (l0<lm3&&l0<lm2&&l0<lm1&&l0<l1&&l0<l2&&l0<l3)
         BufL[i] = l0;
      else
         BufL[i] = EMPTY_VALUE;
   }

   return(0);
}

